Index: CPC stuff/gemini/gal/gal1.asm
===================================================================
--- CPC stuff/gemini/gal/gal1.asm	(revision 4e47de3c9af8a8be517ef338af20203f30b01b6d)
+++ CPC stuff/gemini/gal/gal1.asm	(revision 4e47de3c9af8a8be517ef338af20203f30b01b6d)
@@ -0,0 +1,20 @@
+GAL22V10      Gemini1
+Gemini11
+
+Clock CRTC     NCO   A8    A9    NC    RESET NC    NC    NC    NC     GND
+NC    CLKOUT   PRBS0 PRBS1 PRBS2 PRBS3 PRBS4 PRBS5 PRBS6 UNLOCK PRBS7 VCC
+
+UNLOCK.R = UNLOCK * /PRBS0 + UNLOCK * PRBS1 + UNLOCK * /PRBS2 + UNLOCK * /PRBS3 + UNLOCK * PRBS4 + UNLOCK * PRBS5 + UNLOCK * /PRBS6 + UNLOCK * /PRBS7 + /UNLOCK * /PRBS0 * PRBS1 * PRBS2 * PRBS3 * /PRBS4 * PRBS5 * PRBS6 * PRBS7
+PRBS0.R = PRBS1 + NCO
+PRBS1.R = PRBS2 + NCO
+PRBS2.R = PRBS3 + NCO
+PRBS3.R = PRBS0 * /PRBS1 + /PRBS0 * PRBS1
+PRBS4.R = PRBS5 + NCO
+PRBS5.R = PRBS6 + NCO
+PRBS6.R = PRBS7 + NCO
+PRBS7.R = PRBS4 * /PRBS5 + /PRBS4 * PRBS5
+CLKOUT = CRTC + A8 + A9
+AR = /RESET
+
+DESCRIPTION:
+ASIC unlock decoder for Gemini RAM expansion
Index: CPC stuff/gemini/gal/gal1.chp
===================================================================
--- CPC stuff/gemini/gal/gal1.chp	(revision 4e47de3c9af8a8be517ef338af20203f30b01b6d)
+++ CPC stuff/gemini/gal/gal1.chp	(revision 4e47de3c9af8a8be517ef338af20203f30b01b6d)
@@ -0,0 +1,29 @@
+
+
+                                GAL22V10
+
+                          -------\___/-------
+                    Clock |  1           24 | VCC
+                          |                 |
+                     CRTC |  2           23 | PRBS7
+                          |                 |
+                      NCO |  3           22 | UNLOCK
+                          |                 |
+                       A8 |  4           21 | PRBS6
+                          |                 |
+                       A9 |  5           20 | PRBS5
+                          |                 |
+                       NC |  6           19 | PRBS4
+                          |                 |
+                    RESET |  7           18 | PRBS3
+                          |                 |
+                       NC |  8           17 | PRBS2
+                          |                 |
+                       NC |  9           16 | PRBS1
+                          |                 |
+                       NC | 10           15 | PRBS0
+                          |                 |
+                       NC | 11           14 | CLKOUT
+                          |                 |
+                      GND | 12           13 | NC
+                          -------------------
Index: CPC stuff/gemini/gal/gal1.fus
===================================================================
--- CPC stuff/gemini/gal/gal1.fus	(revision 4e47de3c9af8a8be517ef338af20203f30b01b6d)
+++ CPC stuff/gemini/gal/gal1.fus	(revision 4e47de3c9af8a8be517ef338af20203f30b01b6d)
@@ -0,0 +1,158 @@
+
+
+AR
+  0  ---- ---- ---- ---- ---- ---- -x-- ---- ---- ---- ----
+
+Pin 23 = PRBS7        S0 = 1   S1 = 0
+  1  ---- ---- ---- ---- ---- ---- ---- ---- ---- ---- ----
+  2  ---- ---- ---- --x- ---x ---- ---- ---- ---- ---- ----
+  3  ---- ---- ---- ---x --x- ---- ---- ---- ---- ---- ----
+  4  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+  5  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+  6  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+  7  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+  8  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+  9  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
+Pin 22 = UNLOCK       S0 = 1   S1 = 0
+ 10  ---- ---- ---- ---- ---- ---- ---- ---- ---- ---- ----
+ 11  ---- ---x ---- ---- ---- ---- ---- ---- --x- ---- ----
+ 12  ---- ---x ---- ---- ---- ---- ---- ---x ---- ---- ----
+ 13  ---- ---x ---- ---- ---- ---- --x- ---- ---- ---- ----
+ 14  ---- ---x ---- ---- ---- --x- ---- ---- ---- ---- ----
+ 15  ---- ---x ---- ---- ---x ---- ---- ---- ---- ---- ----
+ 16  ---- ---x ---- ---x ---- ---- ---- ---- ---- ---- ----
+ 17  ---- ---x --x- ---- ---- ---- ---- ---- ---- ---- ----
+ 18  --x- ---x ---- ---- ---- ---- ---- ---- ---- ---- ----
+ 19  ---x --x- ---x ---x --x- ---x ---x ---x --x- ---- ----
+ 20  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
+Pin 21 = PRBS6        S0 = 1   S1 = 0
+ 21  ---- ---- ---- ---- ---- ---- ---- ---- ---- ---- ----
+ 22  ---x ---- ---- ---- ---- ---- ---- ---- ---- ---- ----
+ 23  ---- ---- x--- ---- ---- ---- ---- ---- ---- ---- ----
+ 24  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 25  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 26  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 27  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 28  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 29  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 30  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 31  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 32  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 33  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
+Pin 20 = PRBS5        S0 = 1   S1 = 0
+ 34  ---- ---- ---- ---- ---- ---- ---- ---- ---- ---- ----
+ 35  ---- ---- ---x ---- ---- ---- ---- ---- ---- ---- ----
+ 36  ---- ---- x--- ---- ---- ---- ---- ---- ---- ---- ----
+ 37  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 38  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 39  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 40  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 41  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 42  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 43  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 44  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 45  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 46  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 47  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 48  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
+Pin 19 = PRBS4        S0 = 1   S1 = 0
+ 49  ---- ---- ---- ---- ---- ---- ---- ---- ---- ---- ----
+ 50  ---- ---- ---- ---x ---- ---- ---- ---- ---- ---- ----
+ 51  ---- ---- x--- ---- ---- ---- ---- ---- ---- ---- ----
+ 52  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 53  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 54  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 55  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 56  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 57  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 58  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 59  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 60  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 61  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 62  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 63  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 64  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 65  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
+Pin 18 = PRBS3        S0 = 1   S1 = 0
+ 66  ---- ---- ---- ---- ---- ---- ---- ---- ---- ---- ----
+ 67  ---- ---- ---- ---- ---- ---- ---- --x- ---x ---- ----
+ 68  ---- ---- ---- ---- ---- ---- ---- ---x --x- ---- ----
+ 69  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 70  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 71  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 72  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 73  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 74  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 75  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 76  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 77  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 78  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 79  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 80  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 81  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 82  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
+Pin 17 = PRBS2        S0 = 1   S1 = 0
+ 83  ---- ---- ---- ---- ---- ---- ---- ---- ---- ---- ----
+ 84  ---- ---- ---- ---- ---- ---x ---- ---- ---- ---- ----
+ 85  ---- ---- x--- ---- ---- ---- ---- ---- ---- ---- ----
+ 86  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 87  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 88  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 89  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 90  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 91  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 92  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 93  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 94  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 95  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 96  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 97  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
+Pin 16 = PRBS1        S0 = 1   S1 = 0
+ 98  ---- ---- ---- ---- ---- ---- ---- ---- ---- ---- ----
+ 99  ---- ---- ---- ---- ---- ---- ---x ---- ---- ---- ----
+100  ---- ---- x--- ---- ---- ---- ---- ---- ---- ---- ----
+101  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+102  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+103  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+104  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+105  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+106  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+107  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+108  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+109  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+110  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
+Pin 15 = PRBS0        S0 = 1   S1 = 0
+111  ---- ---- ---- ---- ---- ---- ---- ---- ---- ---- ----
+112  ---- ---- ---- ---- ---- ---- ---- ---x ---- ---- ----
+113  ---- ---- x--- ---- ---- ---- ---- ---- ---- ---- ----
+114  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+115  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+116  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+117  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+118  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+119  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+120  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+121  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
+Pin 14 = CLKOUT       S0 = 1   S1 = 0
+122  ---- ---- ---- ---- ---- ---- ---- ---- ---- ---- ----
+123  ---- x--- ---- ---- ---- ---- ---- ---- ---- ---- ----
+124  ---- ---- ---- x--- ---- ---- ---- ---- ---- ---- ----
+125  ---- ---- ---- ---- x--- ---- ---- ---- ---- ---- ----
+126  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+127  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+128  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+129  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+130  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
+SP
+131  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
Index: CPC stuff/gemini/gal/gal1.jed
===================================================================
--- CPC stuff/gemini/gal/gal1.jed	(revision 4e47de3c9af8a8be517ef338af20203f30b01b6d)
+++ CPC stuff/gemini/gal/gal1.jed	(revision 4e47de3c9af8a8be517ef338af20203f30b01b6d)
@@ -0,0 +1,52 @@
+
+Used Program:   GALasm 2.1
+GAL-Assembler:  GALasm 2.1
+Device:         GAL22V10
+
+*F0
+*G0
+*QF5892
+*L0000 11111111111111111111111110111111111111111111
+*L0044 11111111111111111111111111111111111111111111
+*L0088 11111111111111011110111111111111111111111111
+*L0132 11111111111111101101111111111111111111111111
+*L0440 11111111111111111111111111111111111111111111
+*L0484 11111110111111111111111111111111110111111111
+*L0528 11111110111111111111111111111110111111111111
+*L0572 11111110111111111111111111011111111111111111
+*L0616 11111110111111111111110111111111111111111111
+*L0660 11111110111111111110111111111111111111111111
+*L0704 11111110111111101111111111111111111111111111
+*L0748 11111110110111111111111111111111111111111111
+*L0792 11011110111111111111111111111111111111111111
+*L0836 11101101111011101101111011101110110111111111
+*L0924 11111111111111111111111111111111111111111111
+*L0968 11101111111111111111111111111111111111111111
+*L1012 11111111011111111111111111111111111111111111
+*L1496 11111111111111111111111111111111111111111111
+*L1540 11111111111011111111111111111111111111111111
+*L1584 11111111011111111111111111111111111111111111
+*L2156 11111111111111111111111111111111111111111111
+*L2200 11111111111111101111111111111111111111111111
+*L2244 11111111011111111111111111111111111111111111
+*L2904 11111111111111111111111111111111111111111111
+*L2948 11111111111111111111111111111101111011111111
+*L2992 11111111111111111111111111111110110111111111
+*L3652 11111111111111111111111111111111111111111111
+*L3696 11111111111111111111111011111111111111111111
+*L3740 11111111011111111111111111111111111111111111
+*L4312 11111111111111111111111111111111111111111111
+*L4356 11111111111111111111111111101111111111111111
+*L4400 11111111011111111111111111111111111111111111
+*L4884 11111111111111111111111111111111111111111111
+*L4928 11111111111111111111111111111110111111111111
+*L4972 11111111011111111111111111111111111111111111
+*L5368 11111111111111111111111111111111111111111111
+*L5412 11110111111111111111111111111111111111111111
+*L5456 11111111111101111111111111111111111111111111
+*L5500 11111111111111110111111111111111111111111111
+*L5808 10101010101010101011
+*L5828 0100011101100101011011010110100101101110011010010011000100110001
+*Ccf58
+*
+1ad6b
Index: CPC stuff/gemini/gal/gal1.pin
===================================================================
--- CPC stuff/gemini/gal/gal1.pin	(revision 4e47de3c9af8a8be517ef338af20203f30b01b6d)
+++ CPC stuff/gemini/gal/gal1.pin	(revision 4e47de3c9af8a8be517ef338af20203f30b01b6d)
@@ -0,0 +1,29 @@
+
+
+ Pin # | Name     | Pin Type
+-----------------------------
+   1   | Clock    | Clock/Input
+   2   | CRTC     | Input
+   3   | NCO      | Input
+   4   | A8       | Input
+   5   | A9       | Input
+   6   | NC       | Input
+   7   | RESET    | Input
+   8   | NC       | Input
+   9   | NC       | Input
+  10   | NC       | Input
+  11   | NC       | Input
+  12   | GND      | GND
+  13   | NC       | Input
+  14   | CLKOUT   | Output
+  15   | PRBS0    | Output
+  16   | PRBS1    | Output
+  17   | PRBS2    | Output
+  18   | PRBS3    | Output
+  19   | PRBS4    | Output
+  20   | PRBS5    | Output
+  21   | PRBS6    | Output
+  22   | UNLOCK   | Output
+  23   | PRBS7    | Output
+  24   | VCC      | VCC
+
Index: CPC stuff/gemini/gal/gal2.asm
===================================================================
--- CPC stuff/gemini/gal/gal2.asm	(revision 4e47de3c9af8a8be517ef338af20203f30b01b6d)
+++ CPC stuff/gemini/gal/gal2.asm	(revision 4e47de3c9af8a8be517ef338af20203f30b01b6d)
@@ -0,0 +1,17 @@
+GAL22V10      Gemini2
+Gemini21
+
+IORQ  D7 D6 D5   D4   D3     XD2    XD1  XD0  A14   A15 GND
+RESET WR CRTC RMR2 ASIC UNLOCK RAMDIS XA15 XA14 RAMWR MMR VCC
+
+MMR = IORQ + WR + A15 + /A14 + /D6 + /D7
+RMR2 = UNLOCK * /IORQ * /WR * /A15 * A14 * D7 * /D6 * D5
+ASIC.R = RMR2 * D4 * D3 * RESET + /RMR2 * ASIC * RESET
+RAMWR = WR + ASIC * /A15 * A14
+XA14 = A14 * /XD2 + XD0 * XD2
+XA15 = A15 * /XD2 + XD1 * XD2
+RAMDIS = /XD2 * XD0 * A15 * A14 + /XD2 * XD1 * /XD0 + XD2 * /A15 * A14
+CRTC = IORQ + WR + A14
+
+DESCRIPTION:
+Miscelaneous decoder for Gemini RAM extension
Index: CPC stuff/gemini/gal/gal2.chp
===================================================================
--- CPC stuff/gemini/gal/gal2.chp	(revision 4e47de3c9af8a8be517ef338af20203f30b01b6d)
+++ CPC stuff/gemini/gal/gal2.chp	(revision 4e47de3c9af8a8be517ef338af20203f30b01b6d)
@@ -0,0 +1,29 @@
+
+
+                                GAL22V10
+
+                          -------\___/-------
+                     IORQ |  1           24 | VCC
+                          |                 |
+                       D7 |  2           23 | MMR
+                          |                 |
+                       D6 |  3           22 | RAMWR
+                          |                 |
+                       D5 |  4           21 | XA14
+                          |                 |
+                       D4 |  5           20 | XA15
+                          |                 |
+                       D3 |  6           19 | RAMDIS
+                          |                 |
+                      XD2 |  7           18 | UNLOCK
+                          |                 |
+                      XD1 |  8           17 | ASIC
+                          |                 |
+                      XD0 |  9           16 | RMR2
+                          |                 |
+                      A14 | 10           15 | CRTC
+                          |                 |
+                      A15 | 11           14 | WR
+                          |                 |
+                      GND | 12           13 | RESET
+                          -------------------
Index: CPC stuff/gemini/gal/gal2.fus
===================================================================
--- CPC stuff/gemini/gal/gal2.fus	(revision 4e47de3c9af8a8be517ef338af20203f30b01b6d)
+++ CPC stuff/gemini/gal/gal2.fus	(revision 4e47de3c9af8a8be517ef338af20203f30b01b6d)
@@ -0,0 +1,158 @@
+
+
+AR
+  0  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
+Pin 23 = MMR          S0 = 1   S1 = 0
+  1  ---- ---- ---- ---- ---- ---- ---- ---- ---- ---- ----
+  2  x--- ---- ---- ---- ---- ---- ---- ---- ---- ---- ----
+  3  ---- ---- ---- ---- ---- ---- ---- ---- ---- --x- ----
+  4  ---- ---- ---- ---- ---- ---- ---- ---- ---- ---- x---
+  5  ---- ---- ---- ---- ---- ---- ---- ---- ---- -x-- ----
+  6  ---- ---- -x-- ---- ---- ---- ---- ---- ---- ---- ----
+  7  ---- -x-- ---- ---- ---- ---- ---- ---- ---- ---- ----
+  8  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+  9  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
+Pin 22 = RAMWR        S0 = 1   S1 = 0
+ 10  ---- ---- ---- ---- ---- ---- ---- ---- ---- ---- ----
+ 11  ---- ---- ---- ---- ---- ---- ---- ---- ---- --x- ----
+ 12  ---- ---- ---- ---- ---- ---- ---x ---- ---- x--- -x--
+ 13  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 14  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 15  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 16  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 17  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 18  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 19  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 20  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
+Pin 21 = XA14         S0 = 1   S1 = 0
+ 21  ---- ---- ---- ---- ---- ---- ---- ---- ---- ---- ----
+ 22  ---- ---- ---- ---- ---- ---- -x-- ---- ---- x--- ----
+ 23  ---- ---- ---- ---- ---- ---- x--- ---- x--- ---- ----
+ 24  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 25  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 26  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 27  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 28  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 29  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 30  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 31  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 32  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 33  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
+Pin 20 = XA15         S0 = 1   S1 = 0
+ 34  ---- ---- ---- ---- ---- ---- ---- ---- ---- ---- ----
+ 35  ---- ---- ---- ---- ---- ---- -x-- ---- ---- ---- x---
+ 36  ---- ---- ---- ---- ---- ---- x--- x--- ---- ---- ----
+ 37  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 38  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 39  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 40  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 41  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 42  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 43  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 44  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 45  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 46  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 47  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 48  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
+Pin 19 = RAMDIS       S0 = 1   S1 = 0
+ 49  ---- ---- ---- ---- ---- ---- ---- ---- ---- ---- ----
+ 50  ---- ---- ---- ---- ---- ---- -x-- ---- x--- x--- x---
+ 51  ---- ---- ---- ---- ---- ---- -x-- x--- -x-- ---- ----
+ 52  ---- ---- ---- ---- ---- ---- x--- ---- ---- x--- -x--
+ 53  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 54  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 55  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 56  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 57  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 58  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 59  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 60  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 61  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 62  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 63  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 64  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 65  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
+Pin 18 = UNLOCK       S0 = 0   S1 = 0
+ 66  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 67  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 68  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 69  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 70  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 71  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 72  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 73  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 74  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 75  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 76  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 77  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 78  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 79  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 80  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 81  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 82  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
+Pin 17 = ASIC         S0 = 1   S1 = 0
+ 83  ---- ---- ---- ---- ---- ---- ---- ---- ---- ---- ----
+ 84  ---- ---- ---- ---- x--- x--- ---- --x- ---- ---- --x-
+ 85  ---- ---- ---- ---- ---- ---- ---x ---x ---- ---- --x-
+ 86  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 87  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 88  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 89  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 90  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 91  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 92  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 93  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 94  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 95  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 96  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+ 97  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
+Pin 16 = RMR2         S0 = 1   S1 = 0
+ 98  ---- ---- ---- ---- ---- ---- ---- ---- ---- ---- ----
+ 99  -x-- x--- -x-- x--- ---- --x- ---- ---- ---- x--x -x--
+100  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+101  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+102  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+103  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+104  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+105  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+106  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+107  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+108  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+109  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+110  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
+Pin 15 = CRTC         S0 = 1   S1 = 0
+111  ---- ---- ---- ---- ---- ---- ---- ---- ---- ---- ----
+112  x--- ---- ---- ---- ---- ---- ---- ---- ---- ---- ----
+113  ---- ---- ---- ---- ---- ---- ---- ---- ---- --x- ----
+114  ---- ---- ---- ---- ---- ---- ---- ---- ---- x--- ----
+115  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+116  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+117  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+118  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+119  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+120  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+121  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
+Pin 14 = WR           S0 = 0   S1 = 0
+122  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+123  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+124  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+125  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+126  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+127  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+128  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+129  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+130  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
+SP
+131  xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxxx
+
Index: CPC stuff/gemini/gal/gal2.jed
===================================================================
--- CPC stuff/gemini/gal/gal2.jed	(revision 4e47de3c9af8a8be517ef338af20203f30b01b6d)
+++ CPC stuff/gemini/gal/gal2.jed	(revision 4e47de3c9af8a8be517ef338af20203f30b01b6d)
@@ -0,0 +1,42 @@
+
+Used Program:   GALasm 2.1
+GAL-Assembler:  GALasm 2.1
+Device:         GAL22V10
+
+*F0
+*G0
+*QF5892
+*L0044 11111111111111111111111111111111111111111111
+*L0088 01111111111111111111111111111111111111111111
+*L0132 11111111111111111111111111111111111111011111
+*L0176 11111111111111111111111111111111111111110111
+*L0220 11111111111111111111111111111111111110111111
+*L0264 11111111101111111111111111111111111111111111
+*L0308 11111011111111111111111111111111111111111111
+*L0440 11111111111111111111111111111111111111111111
+*L0484 11111111111111111111111111111111111111011111
+*L0528 11111111111111111111111111101111111101111011
+*L0924 11111111111111111111111111111111111111111111
+*L0968 11111111111111111111111110111111111101111111
+*L1012 11111111111111111111111101111111011111111111
+*L1496 11111111111111111111111111111111111111111111
+*L1540 11111111111111111111111110111111111111110111
+*L1584 11111111111111111111111101110111111111111111
+*L2156 11111111111111111111111111111111111111111111
+*L2200 11111111111111111111111110111111011101110111
+*L2244 11111111111111111111111110110111101111111111
+*L2288 11111111111111111111111101111111111101111011
+*L3652 11111111111111111111111111111111111111111111
+*L3696 11111111111111110111011111111101111111111101
+*L3740 11111111111111111111111111101110111111111101
+*L4312 11111111111111111111111111111111111111111111
+*L4356 10110111101101111111110111111111111101101011
+*L4884 11111111111111111111111111111111111111111111
+*L4928 01111111111111111111111111111111111111111111
+*L4972 11111111111111111111111111111111111111011111
+*L5016 11111111111111111111111111111111111101111111
+*L5808 11111111110110111101
+*L5828 0100011101100101011011010110100101101110011010010011001000110001
+*Ca258
+*
+14aa3
Index: CPC stuff/gemini/gal/gal2.pin
===================================================================
--- CPC stuff/gemini/gal/gal2.pin	(revision 4e47de3c9af8a8be517ef338af20203f30b01b6d)
+++ CPC stuff/gemini/gal/gal2.pin	(revision 4e47de3c9af8a8be517ef338af20203f30b01b6d)
@@ -0,0 +1,29 @@
+
+
+ Pin # | Name     | Pin Type
+-----------------------------
+   1   | IORQ     | Clock/Input
+   2   | D7       | Input
+   3   | D6       | Input
+   4   | D5       | Input
+   5   | D4       | Input
+   6   | D3       | Input
+   7   | XD2      | Input
+   8   | XD1      | Input
+   9   | XD0      | Input
+  10   | A14      | Input
+  11   | A15      | Input
+  12   | GND      | GND
+  13   | RESET    | Input
+  14   | WR       | Input
+  15   | CRTC     | Output
+  16   | RMR2     | Output
+  17   | ASIC     | Output
+  18   | UNLOCK   | Input
+  19   | RAMDIS   | Output
+  20   | XA15     | Output
+  21   | XA14     | Output
+  22   | RAMWR    | Output
+  23   | MMR      | Output
+  24   | VCC      | VCC
+
